classification
Title: interrupt_main() fails to interrupt raw_input()
Type: behavior Stage:
Components: macOS Versions: Python 2.5
process
Status: closed Resolution: duplicate
Dependencies: Superseder: fix bug #685846: raw_input defers signals
View: 706406
Assigned To: Nosy List: anand, georg.brandl
Priority: normal Keywords:

Created on 2007-09-05 23:27 by anand, last changed 2007-09-07 15:29 by anand. This issue is now closed.

Files
File name Uploaded Description Edit
test.py anand, 2007-09-05 23:27
unnamed anand, 2007-09-07 01:05
unnamed anand, 2007-09-07 15:29
Messages (5)
msg55673 - (view) Author: Anand Patil (anand) Date: 2007-09-05 23:27
Mac OS 10.4, Python 2.5 from pythonmac.org: The function listen() in the 
attached should be interrupted after a second, but it waits until return 
is pressed before  catching the exception.
msg55699 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-09-06 15:14
This is ultimately the same as #685846, for which a patch is at #706406.
msg55719 - (view) Author: Anand Patil (anand) Date: 2007-09-07 01:05
Sorry- Where can I get this patch? The SourceForge patch manager says it's
closed.

Thanks,
Anand

On 9/6/07, Georg Brandl <report@bugs.python.org> wrote:
>
>
> Georg Brandl added the comment:
>
> This is ultimately the same as #685846, for which a patch is at #706406.
>
> ----------
> nosy: +georg.brandl
> resolution:  -> duplicate
> status: open -> closed
> superseder:  -> fix bug #685846: raw_input defers signals
>
> __________________________________
> Tracker <report@bugs.python.org>
> <http://bugs.python.org/issue1113>
> __________________________________
>
msg55730 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-09-07 06:48
Anand Patil schrieb:
> Anand Patil added the comment:
> 
> Sorry- Where can I get this patch? The SourceForge patch manager says it's
> closed.

It is - like all other issues - in this tracker at http://bugs.python.org/706406.
msg55735 - (view) Author: Anand Patil (anand) Date: 2007-09-07 15:29
OK, thanks for your help.

On 9/6/07, Georg Brandl <report@bugs.python.org> wrote:
>
>
> Georg Brandl added the comment:
>
> Anand Patil schrieb:
> > Anand Patil added the comment:
> >
> > Sorry- Where can I get this patch? The SourceForge patch manager says
> it's
> > closed.
>
> It is - like all other issues - in this tracker at
> http://bugs.python.org/706406.
>
> __________________________________
> Tracker <report@bugs.python.org>
> <http://bugs.python.org/issue1113>
> __________________________________
>
History
Date User Action Args
2007-09-07 15:29:35anandsetfiles: + unnamed
messages: + msg55735
2007-09-07 06:48:06georg.brandlsetmessages: + msg55730
2007-09-07 01:05:25anandsetfiles: + unnamed
messages: + msg55719
2007-09-06 15:14:16georg.brandlsetstatus: open -> closed
resolution: duplicate
superseder: fix bug #685846: raw_input defers signals
messages: + msg55699
nosy: + georg.brandl
2007-09-05 23:27:05anandcreate